<script>
    var malware_data = {$malware_files};

    {literal}

    jQuery(function () {

        jQuery('.result__title a').click(function(event) {
            jQuery(this).parent().parent().next('.result__row').find('.expanded-content').toggle();
            jQuery('#remoteScanModal').modal('handleUpdate');
            return false;
        });

        jQuery('#remoteScanModal').on('show.bs.modal', function (event) {
            var button = jQuery(event.relatedTarget);
            var modal = jQuery(this);

            modal.find('input[name="server-type"]').val(button.data('server-type'));
            modal.find('input[name="server-tech"]').val(button.data('server-tech'));
            modal.find('input[name="jsfiles"]').val(button.data('jsfiles'));
            modal.find('input[name="pages-scanned"]').val(button.data('pages-scanned'));
            modal.find('input[name="links-scanned"]').val(button.data('links-scanned'));
            modal.find('input[name="malware-files"]').val(button.data('malware-files'));
        });

        initMalwareTable(malware_data, tableLocale);
    });

    function initMalwareTable(malware_data, tableLocale) {

        $malwareTable = jQuery('#table-antivirus');

        var height = 615;
        if (malware_data.length <= 0) {
            height = 570;
        }

        $malwareTable.bootstrapTable({
            data: malware_data,
            height: height,
            locale: tableLocale,
            columns: [
                {
                    field: 'state',
                    checkbox: true,
                    align: 'center',
                    valign: 'middle',
                    width: '25'
                },
                {
                    field: 'filename',
                    title: 'File',
                    width: '600',
                    sortable: true
                },
                {
                    field: 'fixable',
                    align: 'center',
                    valign: 'middle',
                    width: '25',
                    visible: false
                }

            ]
        });
    }
</script>
{/literal}

<div id="bootstrap-wrapper-malware" class="bootstrap-wrapper">
    <div class="row col-md-12">
    <div class="col-md-12">
        <div class="wesecursecurity-container">
            <div class="wesecursecurity-box">
                <div class="wesecursecurity-box-title">
                    <h1>{$malware_title}</h1>
                    <i id="tooltip-test"
                       class="fa fa-info-circle red-tooltip"
                       data-toggle="tooltip"
                       data-placement="top"
                       data-container="#bootstrap-wrapper-malware"
                       data-offset="150"
                       title="{$malware_description}"
                       aria-hidden="true">
                    </i>
                    <div class="wesecursecurity-right">
                        {$malware_last_analysis_text} {$malware_scanned_at|date_format:"%d-%m-%y %H:%M:%S"}
                    </div>
                </div>

                {if $malware_api_required}
                    <div class="alert alert-warning" role="alert">{$malware_api_required_description}</div>
                {else}
                    {if $malware_alert}
                        <div class="alert alert-danger" role="alert">{$malware_danger_description}</div>
                    {else}
                        <div class="alert alert-success" role="alert">{$malware_ok_description}</div>
                    {/if}
                {/if}
                <form method="POST" action="?page={$page_url}">
                    {if $malware_api_required}
                        <input type="button" class="btn btn-primary" data-toggle="modal" data-target="#enableServerSideScanner" value="{$malware_start_button_title}">
                        {include file="$antivirus_premium_modal"}
                    {else}
                        <input type="submit" class="btn btn-primary" value="{$malware_start_button_title}">
                    {/if}
                    <input type="hidden" name="action" value="checkMalware">
                    {$nonce_fields}
                    <div id="toolbar" class="wesecursecurity-toolbar">
                        <div class="wesecursecurity-left">
                            <div class="dropdown">
                              <!--  <button class="btn btn-secondary dropdown-toggle" type="button" id="dropdownMalwareMenuActionsButton" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                    {$antivirus_action_dropdown_title}
                                </button>-->
                                <div class="dropdown-menu" aria-labelledby="dropdownMalwareMenuActionsButton">
                                    <a class="dropdown-item default-action" data-toggle="modal" data-target="#notificationModal" data-action="fixIntegrity" href="#">{$malware_fix_file}</a>
                                    <a class="dropdown-item" data-toggle="modal" data-target="#notificationModal" data-action="ignoreIntegrity" href="#">{$malware_ignore_file}</a>
                                    <a class="dropdown-item" data-toggle="modal" data-target="#notificationModal" data-action="restoreIntegrity" href="#">{$malware_restore_file}</a>
                                    <a class="dropdown-item" data-toggle="modal" data-target="#notificationModal" data-action="deleteIntegrity" href="#">{$malware_delete_file}</a>
                                </div>
                            </div>
                        </div>
                    </div>
                    <table id="table-antivirus"
                           name="table-antivirus"
                           data-search="true"
                           data-id-field="file"
                           data-page-list="[10, 25, 50, 100, 200, ALL]"
                           data-pagination="true">
                    </table>
                </form>
                <div class="modal fade" id="notificationModal" tabindex="-1" role="dialog" aria-labelledby="notificationModalLabel" aria-hidden="true">
                    <div class="modal-dialog" role="document">
                        <form method="POST" formaction="?page={$page_url}">
                            <div class="modal-content">
                                <div class="modal-header">
                                    <h5 class="modal-title" id="notificationModalLabel">New message</h5>
                                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                        <span aria-hidden="true">&times;</span>
                                    </button>
                                </div>
                                <div class="modal-body">
                                    <div class="form-group">
                                        <input type="checkbox" checked autocomplete="off">{$malware_antivirus_disclaimer}
                                    </div>
                                </div>
                                <div class="modal-footer">
                                    <input type="hidden" name="selectedFiles" value="">
                                    <input type="hidden" name="action" value="">
                                    <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                                    <input type="submit" class="btn btn-primary" value="Apply action"/>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
    </div>
</div>